# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PolygonOffset Class Reference

Wraps the OpenGL function glPolygonOffset(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonOffset.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::PolygonOffset:

List of all members.

## Public Member Functions
| PolygonOffset ()
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
| PolygonOffset (float factor, float units)
virtual void | apply (const Camera *) const
void | set (float factor, float units)
void | setFactor (float factor)
void | setUnits (float units)
float | factor () const
float | units () const
## Protected Attributes
float | mFactor
float | mUnits

## Detailed Description

Wraps the OpenGL function glPolygonOffset(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonOffset.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_POLYGON_OFFSET_FILL, vl::EN_POLYGON_OFFSET_LINE, vl::EN_POLYGON_OFFSET_POINT

## Constructor & Destructor Documentation

vl::PolygonOffset::PolygonOffset | ( |  | ) | `[inline]`

vl::PolygonOffset::PolygonOffset | ( | float | factor,
|  | float | units |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::PolygonOffset::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::PolygonOffset::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void PolygonOffset::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::PolygonOffset::set | ( | float | factor,
|  | float | units |
| ) |  |  | `[inline]`

void vl::PolygonOffset::setFactor | ( | float | factor | ) | `[inline]`

void vl::PolygonOffset::setUnits | ( | float | units | ) | `[inline]`

float vl::PolygonOffset::factor | ( |  | ) | const`[inline]`

float vl::PolygonOffset::units | ( |  | ) | const`[inline]`

## Member Data Documentation

float vl::PolygonOffset::mFactor`[protected]`

float vl::PolygonOffset::mUnits`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.